function OutImg = DLNet_Test(InImg,V,DLNet)
% ========= CITATION ============
% Yicong Zhou and Yantao Wei, 
% "Learning Hierarchical Spectral-Spatial Features for Hyperspectral Image Classification" IEEE Transactions on Cybernetics, 2015. 

% Yantao Wei [yantaowei@mail.ccnu.edu.cn]
% Please email me if you find bugs, or have suggestions or questions!


if length(DLNet.NumFilters)~= DLNet.NumStages;
    display('Length(DLNet.NumFilters)~=DLNet.NumStages')
    return
end

cnt = 0;
num=1;
NumFilters=DLNet.NumFilters;
   
[ImgX, ImgY, NumChls] = size(InImg);
 
OutImg=InImg;
NumStage=DLNet.NumStages;
for i=1:NumStage
    V1=V{i};
if(rem(i,2))
  OutImg = LDA_output(OutImg,DLNet.NumFilters(i), V1);
else
  OutImg= F_output(OutImg,NumFilters(i));
end
end






