function OutImg = LDA_output(InImg, NumFilters, V)
% ========= CITATION ============
% Yicong Zhou and Yantao Wei, 
% "Learning Hierarchical Spectral-Spatial Features for Hyperspectral Image Classification" IEEE Transactions on Cybernetics, 2015. 

% Yantao Wei [yantaowei@mail.ccnu.edu.cn]
% Please email me if you find bugs, or have suggestions or questions!


cnt = 0;
num=1;
    [ImgX, ImgY, NumChls] = size(InImg);
    
   
im=zeros(NumChls,ImgX*ImgY);
    for j=1:ImgY
        for i=1:ImgX
            temp=InImg(i,j,:);
        im(:,num)=reshape(temp,numel(temp),1);
        num=num+1;
        end
    end
   
    for j = 1:NumFilters
        cnt = cnt + 1;
        OutImg(:,:,cnt) = reshape(V(:,j)'*im,ImgX,ImgY);  % convolution output
    end
